使用RVM进行ruby版本管理 解决gem install redis -v 4.0.2 下ruby版本过低的问题

一.Ruby Version Manager (RVM)

RVM is a command-line tool which allows you to easily install, manage, and work with multiple ruby environments from interpreters to sets of gems.

二.Install rvm

1.gpg2 --keyserver hkp://pool.sks-keyservers.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
2.curl -sSL https://get.rvm.io | bash -s stable

三.startup rvm

1.source /etc/profile.d/rvm.sh
2.rvm install 2.5 --disable-binary
3.gem install redis -v 4.0.2

四.Other available commands

rvm use 2.5
rvm use 2.5 --default
rvm list
rvm remove 2.5
......
Copyright © zhangluya.com 2019            UPDATE 2019-08-28 16:03:04

results matching ""

    No results matching ""